FreeBSD : mysql -- heap buffer overflow with prepared statements (77420ebb-0cf4-11d9-8a8a-000c41e2cdad)

High Nessus Plugin ID 36280


The remote FreeBSD host is missing one or more security-related updates.


There is a buffer overflow in the prepared statements API (libmysqlclient) when a statement containing thousands of placeholders is executed.


Update the affected packages.

See Also

Plugin Details

Severity: High

ID: 36280

File Name: freebsd_pkg_77420ebb0cf411d98a8a000c41e2cdad.nasl

Version: $Revision: 1.10 $

Type: local

Published: 2009/04/23

Modified: 2013/08/09

Dependencies: 12634

Risk Information

Risk Factor: High

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:mysql-client, p-cpe:/a:freebsd:freebsd:mysql-server, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2004/09/23

Vulnerability Publication Date: 2004/09/08